<template>
  <div class="unname-wrap">
    <dl class="unname-list" v-for="item in listArray">
      <dt class="unname-tit">{{item.titles}}</dt>
      <dd class="unname-dd">
        <div class="isInput"  v-if="types=='inputs'">
          <input :type="item.types" :id="item.code" class="ipt-text" v-model="item.subTitle" v-if="item.kinds=='ipt'"/>
          <span class="ipt-text" :ref="item.ref"  v-else-if="item.kinds='pwd'" @click="setting()">{{item.subTitle}}</span>

        </div>

        <span class="ipt-text" :ref="item.ref"  v-else>{{item.subTitle}}</span>
      </dd>
    </dl>
  </div>
</template>

<script>
  export default {
    name: 'unname',
    props:{
      listArray:{
          type:Array
      },
      types:{
          type:String
      }

    },
    data () {
      return {

      }
    },
    methods:{
      setting(){
          this.$emit('setting')
      }
    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.unname-wrap {
  font-size:.56rem;
}
  .unname-list{
    display:-webkit-box;
    height:2.2rem;
    margin-left:.4rem;
    -webkit-box-align: center;
    line-height:2.2rem;
    border-bottom:#dfdfdf 1px solid;
  }
 .unname-list:after{
    content:"";
    display:block;
    width:.32rem;
    height:.32rem;
   margin-right:.4rem;
    -webkit-transform: rotate(45deg);
    border-style:solid;
    border-width:1px;
    border-color:#ccc #ccc transparent transparent;

 }
  .unname-list .unname-tit{
    width:5rem;
    color:#191919;
  }
  .unname-list .unname-dd{
    -webkit-box-flex:1;
    padding-right:.4rem;
  }
  .ipt-text {
    display: block;
    width:100%;
    line-height:2rem;
    text-align:right;
    border:none;
    color:#828282;
  }
</style>
